Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2009-2628

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2009-2628
Last Modified 28 Sep 2009 12:00:00
Published 08 Sep 2009 06:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2009-2628

Summary

The VMnc media codec in vmnc.dll in VMware Movie Decoder before 6.5.3 build 185404, VMware Workstation 6.5.x before 6.5.3 build 185404, VMware Player 2.5.x before 2.5.3 build 185404, and VMware ACE 2.5.x before 2.5.3 build 185404 on Windows does not properly handle certain small heights in video content, which might allow remote attackers to execute arbitrary code via a crafted AVI file that triggers heap memory corruption.

Vulnerable Systems

Application

  • Vmware Ace 2.5.0

  • Vmware Ace 2.5.1

  • Vmware Ace 2.5.2

  • Vmware Movie Decoder 6.5.3

  • Vmware Player 2.5

  • Vmware Player 2.5.1

  • Vmware Player 2.5.2

  • Vmware Workstation 6.5

  • Vmware Workstation 6.5.0

  • Vmware Workstation 6.5.1

  • Vmware Workstation 6.5.2


References

CERT-VN - VU#444513

CONFIRM - http://www.vmware.com/security/advisories/VMSA-2009-0012.html

BID - 36290

BUGTRAQ - 20090905 VMSA-2009-0012 VMware Movie Decoder, VMware Workstation, VMware Player, and VMware ACE resolve security issues.

MLIST - [security-announce] 20090904 VMSA-2009-0012 VMware Movie Decoder, VMware Workstation, VMware Player, and VMware ACE resolve security issues.

VUPEN - ADV-2009-2553

SECUNIA - 34938


Last Updated: 27 May 2016 10:50:58